import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { ReactiveFormsModule, FormsModule } from "@angular/forms";
import { RouterModule } from "@angular/router";
// delon

import { NgZorroAntdMobileModule } from "ng-zorro-antd-mobile";
import { FormSelectComponent } from "./components/form-select/form-select.component";
import { FormDateComponent } from "./components/form-date/form-date.component";

const THIRDMODULES = [NgZorroAntdMobileModule];

// #endregion

// #region your componets & directives
const COMPONENTS = [FormSelectComponent, FormDateComponent];
const DIRECTIVES = [];
// #endregion

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    RouterModule,
    ReactiveFormsModule,

    // third libs
    ...THIRDMODULES
  ],
  declarations: [
    // your components
    ...COMPONENTS,
    ...DIRECTIVES
  ],
  exports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    RouterModule,

    // third libs
    ...THIRDMODULES,
    // your components
    ...COMPONENTS,
    ...DIRECTIVES
  ]
})
export class SharedModule {}
